package db

import (
	"github.com/google/uuid"
)

type Channel struct {
	Secret   string `toml:"secret"`
	Sessions map[uuid.UUID]interface{}
}

func (db *Database) SendChannel(id uuid.UUID, data interface{}) {
	c, ok := db.Channels[id]
	if !ok {
		return
	}
	for id, _ := range c.Sessions {
		s, ok := db.Sessions[id]
		if !ok {
			continue
		}
		db.VAPID.SendNotification(s.ToVAPID(), data)
	}
}
